Bug 465923 - RFE: virt-manager removes custom option "comment" from domain config file
RFE: virt-manager removes custom option "comment" from domain config file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 03:12 EDT by Ales Zelinka
Modified: 2009-12-14 16:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 10:19:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2008-10-07 03:12:42 EDT
+++ This bug was initially created as a clone of Bug #465737 +++

Description of problem:
When I change domain HW configuration, virt-manager removes all custom (uknown to him) options from the config file

Version-Release number of selected component (if applicable):
virt-manager-0.5.3-8.el5
also tested on virt-manager-0.5.4-4.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. echo 'custom_option = "some value"' >> /etc/xen/domainXYZ
2. change the domain via virt-manager (ie disconnect/connect cdrom image)
3. grep custom_option /etc/xen/domainXYZ
  
Actual results:
custom options are gone

Expected results:
domain config is changed and all custom option are preserved, unchanged and in the same order as before the change

Additional info:

--- Additional comment from berrange@redhat.com on 2008-10-06 15:13:19 EDT ---

This is a known limitation of the way we manage inactive domains, and is not practical to change. Only parameters that are known to libvirt will be preserved.

--- Additional comment from berrange@redhat.com on 2008-10-06 15:16:28 EDT ---

Opps, hit submit too soon. Meant to add, that if there are specific config parameters you would like to use, then please file individual BZ tickets for each config parameter, and they can be evaluated for inclusion. Some things are practical to support, some aren't, so we need to consider each config parameter individually as a feature request.

--- Additional comment from azelinka@redhat.com on 2008-10-07 03:06:09 EDT ---

OK, I will file those bugs.

Just for the record: I still think this is a bug because:

1) /etc/xen/* are xen config files, not libvirt's or virt-manager's. Upper layer (frontend) should not mess with configs from lower layers. 
2) man xmdomain.cfg neither denys usage of custom options nor it states that only listed ones are valid 
3) xen is perfectly fine with custom options, does not complain when called with custom options nor logs any warnings.

-------------------------------------------------------------------------------

Please consider including option "comment" to the list of supported domain config options.

syntax:
comemnt = "string"
semantics:
description for this particular domain, its purpose
Comment 1 Ales Zelinka 2008-10-07 03:17:25 EDT
Ow, its comment, not comemnt...
Comment 2 Daniel Berrange 2008-10-07 09:39:57 EDT
I don't see any 'comment' config option in either the RHEL-5 or latest upstream
Xen config file handling ? Can you point to the Xen code which is defining this
config parameter.
Comment 3 Ales Zelinka 2008-10-07 10:11:31 EDT
There is no such code. This option is recognized and used by our project only
(that's why I call it _custom_ option). What I'd like to achieve is
virt-manager ignoring this option (just like xm does) instead or removing.
Comment 4 Daniel Berrange 2008-10-07 10:19:57 EDT
Ok, I misunderstood then. I thought you needed libvirt support for more actual Xen config parameters. We cannot support use of random invented configuration parameters. 

If you want to track custom metadata against each VM, the only supportable way is to keep that in a separate file.

Note You need to log in before you can comment on or make changes to this bug.